GET /stations/search
radio-browser.info:radio-browser-api
Operation ID: searchStations
Auth: unknown
Description
Search for radio stations with various filters including name, country, tags, language, and more.
Parameters (15)
(integer, query, optional)
Maximum bitrate in kbps
(integer, query, optional)
Minimum bitrate in kbps
(string, query, optional)
Filter by audio codec (MP3, AAC, etc.)
(string, query, optional)
Filter by country name
(string, query, optional)
Filter by ISO 3166-1 country code
Constraints: {'pattern': '^[A-Z]{2}$'}
(string, query, optional)
Filter by language
(integer, query, optional, default: 100)
Maximum number of results (max 1000)
Constraints: {'maximum': 1000}
(string, query, optional)
Filter by station name
(boolean, query, optional, default: False)
Match exact station name
(integer, query, optional, default: 0)
Offset for pagination
(string, query, optional, default: name)
Sort order (name, url, homepage, favicon, tags, country, state, language, votes, codec, bitrate, lastcheckok, lastchecktime, clicktimestamp, clickcount, clicktrend, random)
Constraints: {'enum': ['name', 'url', 'homepage', 'favicon', 'tags', 'country', 'state', 'language', 'votes', 'codec', 'bitrate', 'lastcheckok', 'lastchecktime', 'clicktimestamp', 'clickcount', 'clicktrend', 'random']}
(boolean, query, optional, default: False)
Reverse sort order
(string, query, optional)
Filter by state/province
(string, query, optional)
Filter by tag (can be comma-separated for multiple)
(string, query, optional)
Filter by tag list (comma-separated, all must match)
Examples (11)
| Title | Type | URL | Action |
|---|---|---|---|
| Search stations by name | curl |
https://de1.api.radio-browser.info/json/stations/search?name=jazz&limit=10 |
|
| Filter by country and genre tag | curl |
https://de1.api.radio-browser.info/json/stations/search?countrycode=US&tag=rock&limit=5 |
|
| Filter by language and minimum bitrate | curl |
https://de1.api.radio-browser.info/json/stations/search?language=english&bitrateMin=128&order=votes&reverse=true&limit=5 |
|
| Search stations by name (pyradios) | doc_extracted |
https://de1.api.radio-browser.info/json/stations/search?name=BBC%20Radio%201&name_exact=true |
|
| Search stations by country code with pagination | doc_extracted |
https://de1.api.radio-browser.info/json/stations/search?countryCode=US&limit=100&offset=0 |
|
| Search stations by language and tag | doc_extracted |
https://de1.api.radio-browser.info/json/stations/search?language=english&tag=jazz&limit=100 |
|
| Search stations by multiple tags | doc_extracted |
https://de1.api.radio-browser.info/json/stations/search?tagList=dance,house |
|
| Search radio stations | openapi-spec |
https://de1.api.radio-browser.info/json/stations/search?name=bbc&country=Germany&countrycode=DE&language=english&tag=rock |
|
| Search radio stations | probe-gate |
https://de1.api.radio-browser.info/json/stations/search?name=bbc&country=Germany&countrycode=DE&language=english&tag=rock&limit=100 |
|
| Search stations | openapi-spec |
https://de1.api.radio-browser.info/json/stations/search?countrycode=US&tag=rock,jazz |
|
| Search stations | probe-gate |
https://de1.api.radio-browser.info/json/stations/search?nameExact=False&countrycode=US&tag=rock%2Cjazz&order=name&reverse=False&offset=0&limit=100 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:49:43.824946 | 200 | 269ms | |
| 2026-03-23 10:38:33.016906 | 200 | 324ms | |
| 2026-03-23 10:35:12.455866 | 200 | 255ms | |
| 2026-03-23 10:17:54.659971 | 200 | 245ms | |
| 2026-03-23 10:15:50.416161 | 200 | 238ms | |
| 2026-03-23 10:12:43.262296 | 200 | 298ms | |
| 2026-03-23 09:41:00.909947 | 200 | 379ms | 0.5MB |
| 2026-03-23 09:27:35.525917 | 200 | 261ms | |
| 2026-03-23 09:26:25.138899 | 200 | 195ms | |
| 2026-03-23 09:16:04.290698 | 200 | 276ms | |
| 2026-03-23 09:02:40.841321 | 200 | 246ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:16:04.290698 | fe2e997d45e8 |
c025f8d1c023 |
| 2026-03-23 09:26:25.138899 | c025f8d1c023 |
4f53cda18c2b |
| 2026-03-23 09:27:35.525917 | 4f53cda18c2b |
1675f34dc9f0 |
| 2026-03-23 09:41:00.909947 | 1675f34dc9f0 |
f6f4c74a5b61 |
| 2026-03-23 10:12:43.262296 | f6f4c74a5b61 |
eba2637008a8 |
| 2026-03-23 10:15:50.416161 | eba2637008a8 |
9db0daa5c823 |
| 2026-03-23 10:17:54.659971 | 9db0daa5c823 |
f2576f6601c0 |
| 2026-03-23 10:35:12.455866 | f2576f6601c0 |
eba2637008a8 |
| 2026-03-23 10:38:33.016906 | eba2637008a8 |
4f53cda18c2b |
| 2026-03-23 10:49:43.824946 | 4f53cda18c2b |
bacc2aa92777 |